File: changelog

package info (click to toggle)
node-terser 4.1.2-8
  • links: PTS, VCS
  • area: main
  • in suites: bullseye
  • size: 3,496 kB
  • sloc: javascript: 78,715; makefile: 52; sh: 6
file content (142 lines) | stat: -rw-r--r-- 4,396 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
node-terser (4.1.2-8) unstable; urgency=medium

  * Team upload
  * Fix test for node-commander ≥ 6 (Closes: #977963)

 -- Xavier Guimard <yadd@debian.org>  Fri, 25 Dec 2020 07:58:43 +0100

node-terser (4.1.2-7) unstable; urgency=medium

  [ Debian Janitor ]
  * set upstream metadata fields:
    Bug-Database Bug-Submit Repository Repository-Browse.

  [ Xavier Guimard ]
  * add support for node-commander 4
    closes: #963425

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Jul 2020 13:15:04 +0200

node-terser (4.1.2-6) unstable; urgency=medium

  * update upstream homepage and source URLs
  * mark libjs-terser Multi-Arch: foreign

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Mar 2020 13:42:51 +0200

node-terser (4.1.2-5) unstable; urgency=medium

  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Mar 2020 12:29:11 +0200

node-terser (4.1.2-4) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.4.1.
  * Install nodejs code under /usr/share (not /usr/lib).
  * Update watch file:
    + Simplify regular expressions.
    + Rewrite usage comment.
  * Mark autopkgtests as superficial.
  * Tighten build-dependency on rollup
    to versions supporting option --no-esModule.
    Drop patch 2002.
    Closes: Bug#931577.
  * Improve autopkgtest:
    + Use node-domino to cover recent need for node-source-map.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Oct 2019 19:49:05 +0200

node-terser (4.1.2-3) unstable; urgency=medium

  * Really fix autopkgtest for libjs-terser:
    Have autopkgtest depend on node-source-map (not libjs-source-map),
    and stop have libjs-terser recommend libjs-source-map
    (should be built into web browsers).
    Thanks (again) to LocusOfBorg on irc.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Jul 2019 09:36:06 -0300

node-terser (4.1.2-2) unstable; urgency=medium

  * Fix credit proper nick in changelog.
  * Fix have libjs-terser recommend libjs-source-map,
    and autopkgtest depend on and load it.
    Thanks (again) to LocusOfBorg on irc.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jul 2019 21:36:58 -0300

node-terser (4.1.2-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  * Fix and improve autpkgtest:
    + Have 2nd test depend on nodejs.
      Thanks to LocusOfBorg on irc.
    + Use perl prove for shell command.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2019 08:58:25 -0300

node-terser (4.1.0-2) unstable; urgency=medium

  * Fix tighten dependencies between binary packages.
    Closes: Bug#931791. Thanks to Pirate Praveen.
  * Declare compliance with Debian Policy 4.4.0.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jul 2019 12:26:28 -0300

node-terser (4.1.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Unfuzz and improve patch 2001.
  * Exclude APIs required only for tests from main bundle.
    See upstream issue https://github.com/terser-js/terser/pull/288
    Add patch 2002 to ignore __esModule in testsuite.
    See bug#931577.
  * Update lintian overrides.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Jul 2019 19:05:17 -0300

node-terser (3.16.1-2) unstable; urgency=medium

  * Fix ship bundle only in libjs-terser (not also uglifyjs.terser),
    and link bundler into node-terser.
    Closes: Bug#930618. Thanks to Pirate Praveen.
  * Extend autopkgtest to cover all binary packages.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Jul 2019 12:13:28 -0300

node-terser (3.16.1-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update copyright info: Fix source URLs.
  * Update patch 2001.
  * Update build routines. Build-depend on rollup.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Jul 2019 11:09:49 -0300

node-terser (3.14.1-2) unstable; urgency=medium

  * Fix have uglifyjs.terser depend on node-terser (not node-uglify-js).
    Closes: Bug#929815. Thanks to Pirate Praveen.
  * Update git-buildpackage config:
    + Switch DEP-14 vendor-namespaced git branch.
  * Fix support DEB_BUILD_OPTIONS=nocheck.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 Jun 2019 09:51:42 +0200

node-terser (3.14.1-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#919279.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 14 Jan 2019 14:35:39 +0100